200
The response contains the status of the request and data. Data is an array where each element represents a response for a single query from the request.
Returns agent profile data from Zillow profiles or agent directory searches.
Endpoint:
GET https://api.outscraper.com/zillow-agents
| Name | In | Type | Required | Description | Example | Constraints |
|---|---|---|---|---|---|---|
query |
query | array<string> | Yes | Zillow agent profile URLs, agent directory search URLs, or locations (e.g., https://www.zillow.com/profile/hollyfrandsen/, https://www.zillow.com/professionals/real-estate-agent-reviews/jacksonville-fl/, or Jacksonville, FL).
Send multiple queries by repeating the query parameter (e.g., query=text1&query=text2). |
- | - |
limit |
query | integer | No | The parameter specifies the limit of items to get from one query. | - | default 100 |
fields |
query | string | No | The parameter defines which fields you want to include with each item returned in the response. By default, it returns all fields. Use &fields=query,name to return only the specific ones. |
- | - |
async |
query | boolean | Yes | The parameter defines the way you want to submit your task to Outscraper. It can be set to false to open an HTTP connection and keep it open until you get your results, or true (default) to just submit your requests to Outscraper and retrieve them later (usually within 1-3 minutes) with the Request Results endpoint. Each response is available for 4 hours after a request has been completed.
A good practice is to send async requests and start checking the results after the estimated execution time. Check out this Python implementation as an example.
As most of the requests take some time to be executed the async=true option is preferred to avoid HTTP request timeouts. |
- | default true |
ui |
query | boolean | No | The parameter defines whether a task will be executed as a UI task. This is commonly used when you want to create a regular platform task with API.
Using this parameter overwrites the async parameter to true. |
- | default false |
format |
query | array<string enum> | No | The parameter defines the format of the output data. Using this parameter overwrites the ui parameter to true. |
- | - |
webhook |
query | string | No | The parameter defines the URL address (callback) to which Outscraper will create a POST request with a JSON body once a task/request is finished. Using this parameter overwrites the webhook from integrations. | - | - |
The response contains the status of the request and data. Data is an array where each element represents a response for a single query from the request.
The response contains a request ID that can be used to fetch results by using Request Results endpoint. Each response is available for 4 hours after a request has been completed.
{
"id": "your-request-id",
"status": "Pending",
"results_location": "https://api.outscraper.cloud/requests/your-request-id"
}
Wrong or missing API Key (token).
{
"error": true,
"errorMessage": "401 Unauthorized: The server could not verify that you are authorized to access the URL requested. You either supplied the wrong credentials (e.g. a bad password), or your browser doesn't understand how to supply the credentials required."
}
Past due invoices or a payment method not connected.
{
"error": true,
"errorMessage": "Please close past due invoices or verify your card information is correct."
}
Invalid query URL parameters.
{
"error": true,
"errorMessage": "422 Unprocessable Entity: The request was well-formed but was unable to be followed due to semantic errors."
}
curl -X GET "https://api.outscraper.cloud/zillow-agents?query=https%3A%2F%2Fwww.zillow.com%2Fprofile%2Fhollyfrandsen%2F&limit=3&async=false" -H "X-API-KEY: YOUR-API-KEY"
curl -X GET "https://api.outscraper.cloud/zillow-agents?query=https%3A%2F%2Fwww.zillow.com%2Fprofile%2Fhollyfrandsen%2F&limit=3" -H "X-API-KEY: YOUR-API-KEY"
Returns reviews from Airbnb accommodations.
Returns search results from Airbnb.
Returns reviews from AppStore apps.
Returns Bing Maps search results for one or more queries.
Returns Deliveroo listings.
Returns reviews from a list of products.